package com.cds.util;

import java.util.Collection;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

import com.cds.model.Article;
 
@XmlRootElement(name = "response")
public class ArticleCollection {

    private Collection<Article> articles;
    
    public ArticleCollection() {
    }

    public ArticleCollection(Collection<Article> articles) {
        this.articles = articles;
    }

    @XmlElement(name="articles")
    @XmlElementWrapper(name="articles")
    public Collection<Article> getArticles() {
        return articles;
    }

}
