package com.cds.model;

import javax.xml.bind.annotation.XmlRootElement;

 
@XmlRootElement(name = "article")
public class Article {
   
    private Integer id;
    private String docid;
    private Title title;
    private Body body; 
    private Comments comments; 
    private String locale;
    private String permissions;
       
    public Article() {}
    public Article(String id, String docId,Title title,Body body,String locale,Comments comment,String permissions) {
    	if(!id.isEmpty())
    		this.id = Integer.parseInt(id);
    	this.docid = docId;
    	this.title = title; 
    	this.body= body;
    	this.locale = locale;
    	this.comments = comment;
    	this.permissions = permissions;
    } 
 
    public String getPermissions() { 
		return permissions;
	}
	public void setPermissions(String permissions) {
		this.permissions = permissions;
	}
	public Article(Integer id, String docId,Title title,Body body,String locale,Comments comment,String permissions) {
        this.id = id;
        this.docid = docId;
    	this.title = title;
    	this.body= body;
    	this.locale = locale;
    	this.comments = comment;
    	this.permissions = permissions;
    }
 
 	public Integer getId() {
        return id;
    }

 	public String getDocid() {
		return docid;
	}
	public void setDocid(String docid) {
		this.docid = docid;
	}
	
	public void setTitle(Title title) {
		this.title = title;
	}
	public void setBody(Body body) {
		this.body = body;
	}
	public void setLocale(String locale) {
		this.locale = locale;
	}
	public void setId(Integer id) {
        this.id = id;
    }

     
 	public Title getTitle() {
		return title;
	}
	public Body getBody() {
		return body;
	}
	public String getLocale() {
		return locale;
	}
	 
   public Comments getComments() {
		return comments;
	}
	public void setComments(Comments comments) {
		this.comments = comments;
	}

}
