package com.cds.model;

import java.net.UnknownHostException;
import com.mongodb.BasicDBObject;
import com.mongodb.DB;
import com.mongodb.DBCollection;
import com.mongodb.MongoClient;
import com.mongodb.MongoException;

 
public class UserBaseCollection {
 
	private static String user;
	
	static String array_names[] = {"john","tim","brit","samar","smith","daksh","jennifer","alina","victor","ajay","kazim","amit"};

	public static void main(String[] args) {
		
		try {
			  
			// Connect to mongodb
			MongoClient mongo = new MongoClient("localhost", 27017);
		 
			// get database
			// if database doesn't exists, mongodb will create it for you
			DB db = mongo.getDB("springtest");
		 
			// get collection
			// if collection doesn't exists, mongodb will create it for you
			DBCollection collection = db.getCollection("user");
			BasicDBObject document ;
			
			
			for(int i = 0 ; i < array_names.length ; i++){
				document = new BasicDBObject();
				document.append("user",array_names[i]);
				String r = "ads_manager";
 				
				if(i%2 ==0)
				{
					r = "ads_developer";
				}
				if(i%3==0){
					r = "ads_intern";
				}
				
				document.append("permissions",new BasicDBObject("tag",r));
				collection.insert(document);
			
			}
			
	
		} catch (UnknownHostException e) {
			e.printStackTrace();
		    } catch (MongoException e) {
			e.printStackTrace();
		    }
	}
	
	
}
