package com.cds.repository;

import org.springframework.context.support.GenericXmlApplicationContext;

public class ApplicationSingleton {

	private static ApplicationSingleton instance = null;
	private GenericXmlApplicationContext context = null;
	private ArticleRepository repository = null;
	
	private ApplicationSingleton(){}
	
	public static ApplicationSingleton getInstance(){
		if(instance == null) {
	         instance = new ApplicationSingleton();
	      }
	      return instance;
	}
	
	public GenericXmlApplicationContext getContext(){
		if(context == null){
			context = new GenericXmlApplicationContext("appContext.xml");
		}
		return context;
	}
	
	public ArticleRepository getRepository(){
		if(repository == null){
			repository = new ArticleRepository();
		}
		return repository;
	}
	
}
